org.apache.xerces.util

## Class SAXMessageFormatter

- java.lang.Object
- - org.apache.xerces.util.SAXMessageFormatter

    public class SAXMessageFormatter
    extends java.lang.Object

Used to format SAX error messages using a specified locale.

Version:
  $Id: SAXMessageFormatter.java 813087 2009-09-09 19:35:27Z mrglavas $
Author:
  Michael Glavassevich, IBM

### Constructor Summary

Constructors
Constructor and Description
`SAXMessageFormatter()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `formatMessage(java.util.Locale locale, java.lang.String key, java.lang.Object[] arguments)` Formats a message with the specified arguments using the given locale information.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SAXMessageFormatter

    public SAXMessageFormatter()

### Method Detail

#### formatMessage

    public static java.lang.String formatMessage(java.util.Locale locale,
                                                 java.lang.String key,
                                                 java.lang.Object[] arguments)
                                          throws java.util.MissingResourceException

Formats a message with the specified arguments using the given locale information.

Parameters:
  `locale` - The locale of the message.
  `key` - The message key.
  `arguments` - The message replacement text arguments. The order of the arguments must match that of the placeholders in the actual message.
Returns:
  the formatted message.
Throws:
  `java.util.MissingResourceException` - Thrown if the message with the specified key cannot be found.